Bug 41427 - Integrate functionality of customer forks
Integrate functionality of customer forks
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Client management
UCC 3.0
Other Linux
: P5 normal
: UCC 3.0
Assigned To: Felix Botner
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-02 17:34 CEST by Erik Damrose
Modified: 2016-11-09 10:27 CET (History)
0 users

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?: Yes
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2016-06-02 17:34:56 CEST
Several UCC packages were forked and extended for Univention customers. Several features are to be integrated into UCC, see [1].

Larger tasks should be split to separate bugs.

[1] https://hutten.knut.univention.de/mediawiki/index.php/UCC-Paketforks
Comment 1 Felix Botner univentionstaff 2016-06-07 18:42:12 CEST
* Save policies to image during rollout to save them as default values? 
  -> univention-ucc-initramfs: r69886, 5.0.0-2.140.201606071613
   * added univention-ucc-fetch-system-policies to ucc_rollout()
     and mountroot()
  -> changelog: r69908

* Add Blacklisting of arbitrary device names
  -> univention-ucc-remote-mount: r69911, 4.0.0-2.30.201606071736
  * removed ucc/mount/fullpartition
  * added ucc/mount/blacklist/disable (to completely disable the blacklisting)
  * added ucc/mount/blacklist (space separated list of device which are ignored
    in add_fstab_entry, default "sda sdb sdc sdd sde")
  -> changelog: r69915
  -> ucc-manual-3.0.xml: r69916

* Add run-parts interface at different stages of the script
  -> univention-ucc-session-xenapp: r69923
  * added run-parts for hooks in
    /usr/share/univention-ucc-session-xenapp/hooks/top.d
    /usr/share/univention-ucc-session-xenapp/hooks/pre-firefox.d
    /usr/share/univention-ucc-session-xenapp/hooks/post-firefox.d
    /usr/share/univention-ucc-session-xenapp/hooks/bottom.d
    in sessions/XenApp
  * fixed dbus-send shutdown command in autologin mode (according to
    customer fork)
  -> changelog: r69924
Comment 2 Felix Botner univentionstaff 2016-06-08 10:34:46 CEST
* Add local script to set RO/RW switch for a client
  -> univention-ucc-initramfs: r69939, 5.0.0-3.141.201606080945
  * added force rw check in get_boot_mount_option.sh
  -> univention-corporate-client: r69941, 4.0.0-2.108.201606081028
  * added univention-ucc-force-rw-boot to set/unset force rw boot
  -> changelog: r69942
Comment 3 Felix Botner univentionstaff 2016-06-08 14:39:27 CEST
* Add zenity messages to session script, do not show ugly xmessages
  -> univention-ucc-session-rdp: r69956, 4.0.0-2.37.201606081434
  * replaced xmessage with zenity
  -> changelog: 69957
Comment 4 Felix Botner univentionstaff 2016-06-17 11:16:20 CEST
* Add generic session script which can execute an arbitrary binary with 
  parameters, UCR configured
  univention-ucc-session-rdp: r70307, 4.0.0-4.39.201606171104

* Unlikely implementable, requires complete script rollout
  univention-ucc-session-firefox: r70305, 5.0.0-3.26.201606171054

Both script now store the complete session command in the bash array cmd. Just before the script executes this command, the content of a ucr variable (rdp/session/cmd, firefox/session/cmd => base64 encoded bash script) is evaluated. This code can supplement or replace the session command in cmd array.
Comment 5 Erik Damrose univentionstaff 2016-06-20 13:47:16 CEST
Tested: univention-ucc-session-rdp
OK: zenity dialogs
OK: Add generic session script which can execute an arbitrary binary 
-> We have to document the feature, i created bug 41610
Comment 6 Erik Damrose univentionstaff 2016-06-23 14:45:45 CEST
OK: Add local script to set RO/RW switch for a client; show set, remove option.
Comment 7 Erik Damrose univentionstaff 2016-06-23 15:23:12 CEST
(In reply to Felix Botner from comment #1)
> * Save policies to image during rollout to save them as default values? 
>   -> univention-ucc-initramfs: r69886, 5.0.0-2.140.201606071613
>    * added univention-ucc-fetch-system-policies to ucc_rollout()
>      and mountroot()
Reopen:
Works, but we should move the univention-ucc-fetch-system-policies call, added in the patch starting at line 1399 that is run after univention-join, into a joinscript. This will not clutter the initramfs script, and we will get the output into the join.log
Comment 8 Erik Damrose univentionstaff 2016-06-23 15:38:34 CEST
OK: Add Blacklisting of arbitrary device names
Comment 9 Erik Damrose univentionstaff 2016-06-23 16:30:24 CEST
OK: Add run-parts interface at different stages of the script
Comment 10 Felix Botner univentionstaff 2016-06-28 17:10:27 CEST
(In reply to Erik Damrose from comment #7)
> (In reply to Felix Botner from comment #1)
> > * Save policies to image during rollout to save them as default values? 
> >   -> univention-ucc-initramfs: r69886, 5.0.0-2.140.201606071613
> >    * added univention-ucc-fetch-system-policies to ucc_rollout()
> >      and mountroot()
> Reopen:
> Works, but we should move the univention-ucc-fetch-system-policies call,
> added in the patch starting at line 1399 that is run after univention-join,
> into a joinscript. This will not clutter the initramfs script, and we will
> get the output into the join.log

univention-ucc-initramfs: removed univention-ucc-fetch-system-policies after join

univention-ucc-join: added univention-ucc-fetch-system-policies to 45univention-join.inst
Comment 11 Erik Damrose univentionstaff 2016-08-08 12:17:43 CEST
Verified
Comment 12 Erik Damrose univentionstaff 2016-08-16 17:13:04 CEST
UCC 3.0 has been released. If this bug occurs again, please clone this bug.